Subject: Re: To _USE_ or not to use InstallShield?
From: [email-masked] (Michael Lemke)

11 May 1998 17:16:30 -0700
Message-ID: <[email-masked]>
References: <13653.7515.940000.415863@STRAT>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: "John A. Turner" <[email-masked]>
Cc: [email-masked], [email-masked]

John A. Turner wrote:
> $Bill Luebkert writes:
> 
>  > I'm very UNIX-centric and like to know what's happening when I install
>  > something.  With a zip or tar or gz file, I know exactly what's going
>  > to happen when I install it.  Everyone on Win95/NT has Winzip which can
>  > handle all three of these guys.
> 
> [snip]
> 
>  > <SOAPBOX>Go for simplicity; go for obvious; go for in-plain-sight; go
>  > for I-know-what's-happening-when-the-install-runs; go for zip or
>  > tar.gz; down with InstallShield!</SOAPBOX>
> 
> Michael Lemke, Sternwarte Bamberg, writes:
> 
>  > Well, I don't know what InstallShield does, seriously.  But I do know
>  > what tar,zip etc do and how to reverse it.  I hate things done behind
>  > my back.  All these .exe files you don't know what's inside.  Terrible.
> 
> Bill and Michael (and/or anyone else who agrees with this argument),
> please tell me if you also eschew the Unix packaging formats like the
> ones I mentioned above.  If so, well, OK, at least your stand is
> consistent.  If not, then please explain why your position is not
> inconsistent.

Actually, I don't like .rpm, .deb and similar.  However, they seem
slightly better to me than InstallShield and they do provide a
functionality that tar alone doesn't.  But that functionality is not
necessary for the initial install of gnuwin.  There we need everything
so a .zip or .tgz works best and I know it won't do more than copy a
bunch of files to a place I specify.  Guaranteed.

> 
> XEmacs binaries are distributed for Solaris via pkgadd format and for
> Linux as RPMs.  It's also distributed as tarballs.  So why bother with
> the package formats?  Because a lot of Solaris and Linux binaries are
> distributed that way, and people like the ease of install/uninstall
> they provide.
> 
> So I ask again, how is InstallShield different?
> 
> As for "we don't know what's inside", it's a matter of trusting the
> source; in this case Cygnus.

But using the MS (is it?) product leaves a bad taste.

> 
> Robertson, Jason V writes:
> 
>  > Anyway, I can't think of a single convincing argument not to use
>  > InstallShield if it's done right.
> 
> Nor can I.

What about people who want to extract from Linux onto the W95
partition?  Or look what's inside from a non-Windows machine?  Split the
contents for writing onto floppies?

> 
> Weiqi Gao writes:
> 
>  > And this could be acomplished by a simple entry in the FAQ (or the
>  > release note): What does the InstallShield installation do exactly?  The
>  > answer would typically tell people what files are installed where, and
>  > what registry settings are created, modified, deleted.  I don't think
>  > the automation done by InstallShield is that different from "make
>  > install".
> 
> [snip]
> 
> I agree with this.

I don't.  Yet another file to read before I know what's happening.  make
install is indeed similar but not required for the initial binary
install of gnuwin.  And I can always first try to do understand the
Makefile, do the make install from a normal user account and see what it
tries to do to the system.

-- 
Michael Lemke
Sternwarte Bamberg, University of Erlangen-Nürnberg, Germany
([email-masked] or [email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".